Package ru.bitel.bgbilling.apps.inet.access.sa

# Enum Class ServiceActivatorEventType

java.lang.Object
java.lang.Enum<ServiceActivatorEventType>
ru.bitel.bgbilling.apps.inet.access.sa.ServiceActivatorEventType

All Implemented Interfaces:
  `Serializable`, `Comparable<ServiceActivatorEventType>`, `Constable`

public enum ServiceActivatorEventType extends Enum<ServiceActivatorEventType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCOUNTING_START`
  `ACCOUNTING_STOP`
  `ACCOUNTING_UPDATE`
  `SERVICE_CANCEL`
  `SERVICE_CREATE`
  `SERVICE_MODIFY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  `static ServiceActivatorEventType`
  `getServiceActivatorEventTypeByCode(int code)`
  `String`
  `toString()`
  `static ServiceActivatorEventType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ServiceActivatorEventType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SERVICE_CREATE

    public static final ServiceActivatorEventType SERVICE_CREATE

  - ### SERVICE_MODIFY

    public static final ServiceActivatorEventType SERVICE_MODIFY

  - ### SERVICE_CANCEL

    public static final ServiceActivatorEventType SERVICE_CANCEL

  - ### ACCOUNTING_START

    public static final ServiceActivatorEventType ACCOUNTING_START

  - ### ACCOUNTING_STOP

    public static final ServiceActivatorEventType ACCOUNTING_STOP

  - ### ACCOUNTING_UPDATE

    public static final ServiceActivatorEventType ACCOUNTING_UPDATE

- ## Method Details

  - ### values

    public static ServiceActivatorEventType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ServiceActivatorEventType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ServiceActivatorEventType>`

  - ### getServiceActivatorEventTypeByCode

    public static ServiceActivatorEventType getServiceActivatorEventTypeByCode(int code)